App

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Public Attributes | Private Member Functions | Private Attributes | Static Private Attributes | List of all members
mhr.appcore.bitmap.ColorMode Enum Reference

Reprezentuje barevný model bitmapy, odpovídá nativnímu enumu. More...

## Public Member Functions
int | getValue ()
| Vrací hodnotu, která odpovídá hodnotě nativního výčtu.

## Static Public Member Functions
| [static initializer]
static ColorMode | fromValue (int index)
| Vrátí hodnotu výčtu, která odpovídá nativní hodnotě enumu.

## Public Attributes
| INVALID_COLOR_MODE =(0)
| MONO =(1)
| RGBA =(2)
| HSVA =(3)
| HLSA =(4)

## Private Member Functions
| ColorMode (int nativeEnumValue)
| Defaultní konstruktor, přiřadí odpovídající hodnotu nativního enumu.

## Private Attributes
final int | nativeEnumValue
| Odpovídající hodnota nativního výčtu.

## Static Private Attributes
staticfinal ColorMode[] | lut = new ColorMode[5]
| LUT tabulka pro rychlé přiřazení.

## Detailed Description

Reprezentuje barevný model bitmapy, odpovídá nativnímu enumu.

Definition at line 6 of file ColorMode.java.

## Constructor & Destructor Documentation

mhr.appcore.bitmap.ColorMode.ColorMode | ( | int | nativeEnumValue | ) |
| inlineprivate

Defaultní konstruktor, přiřadí odpovídající hodnotu nativního enumu.

Parameters

  nativeEnumValue |

Definition at line 25 of file ColorMode.java.

{
this.nativeEnumValue = nativeEnumValue;
}

## Member Function Documentation

mhr.appcore.bitmap.ColorMode.[static initializer] | ( |  | ) |
| inlinestatic

static ColorMode mhr.appcore.bitmap.ColorMode.fromValue | ( | int | index | ) |
| inlinestatic

Vrátí hodnotu výčtu, která odpovídá nativní hodnotě enumu.

Parameters

  index | nativní hodnota

Returns
  hodnota výčtu

Definition at line 42 of file ColorMode.java.

{
try {
return lut[index];
} catch (IndexOutOfBoundsException exc) {
return ColorMode.INVALID_COLOR_MODE;
}
}

int mhr.appcore.bitmap.ColorMode.getValue | ( |  | ) |
| inline

Vrací hodnotu, která odpovídá hodnotě nativního výčtu.

Returns

Definition at line 33 of file ColorMode.java.

{
return nativeEnumValue;
}

## Member Data Documentation

mhr.appcore.bitmap.ColorMode.HLSA =(4)

Definition at line 9 of file ColorMode.java.

mhr.appcore.bitmap.ColorMode.HSVA =(3)

Definition at line 9 of file ColorMode.java.

mhr.appcore.bitmap.ColorMode.INVALID_COLOR_MODE =(0)

Definition at line 9 of file ColorMode.java.

static final ColorMode [] mhr.appcore.bitmap.ColorMode.lut = new ColorMode[5]
| staticprivate

LUT tabulka pro rychlé přiřazení.

Definition at line 11 of file ColorMode.java.

mhr.appcore.bitmap.ColorMode.MONO =(1)

Definition at line 9 of file ColorMode.java.

final int mhr.appcore.bitmap.ColorMode.nativeEnumValue
| private

Odpovídající hodnota nativního výčtu.

Definition at line 19 of file ColorMode.java.

mhr.appcore.bitmap.ColorMode.RGBA =(2)

Definition at line 9 of file ColorMode.java.

The documentation for this enum was generated from the following file:

- /home/xxx/eclipse_workspaces/app/appcore/src/mhr/appcore/bitmap/ColorMode.java